## qcpufreq 0.2-1

=== src-build/Makefile ===
#############################################################################
# Makefile for building: QCPUFreq
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mi. Jun 23 14:21:50 2010
# Project:  ../src/src.pro
# Template: app
# Command: /usr/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../src/src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/opt/usr/share\" -DPKGDATADIR=\"\" -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I../src -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I. -I../src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/usr/lib64/qt4
LIBS          = $(SUBLIBS)  -L/usr/lib64/qt4 -lQtGui -L/usr/lib64 -L/usr/lib64/qt4 -L/usr/X11R6/lib -lQtCore -lgthread-2.0 -lrt -lglib-2.0 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../src/main.cpp \
		../src/mainwindow.cpp moc_mainwindow.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		moc_mainwindow.o \
		qrc_resources.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		../src/src.pro
QMAKE_TARGET  = QCPUFreq
DESTDIR       = 
TARGET        = QCPUFreq

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../src/src.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib64/qt4/libQtGui.prl \
		/usr/lib64/qt4/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../src/src.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib64/qt4/libQtGui.prl:
/usr/lib64/qt4/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../src/src.pro

dist: 
	@$(CHK_DIR_EXISTS) ../src/.tmp/QCPUFreq1.0.0 || $(MKDIR) ../src/.tmp/QCPUFreq1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../src/.tmp/QCPUFreq1.0.0/ && $(COPY_FILE) --parents ../src/mainwindow.h ../src/.tmp/QCPUFreq1.0.0/ && $(COPY_FILE) --parents ../src/resources.qrc ../src/.tmp/QCPUFreq1.0.0/ && $(COPY_FILE) --parents ../src/main.cpp ../src/mainwindow.cpp ../src/.tmp/QCPUFreq1.0.0/ && $(COPY_FILE) --parents ../src/mainwindow.ui ../src/.tmp/QCPUFreq1.0.0/ && $(COPY_FILE) --parents de.ts ../src/.tmp/QCPUFreq1.0.0/ && (cd `dirname ../src/.tmp/QCPUFreq1.0.0` && $(TAR) QCPUFreq1.0.0.tar QCPUFreq1.0.0 && $(COMPRESS) QCPUFreq1.0.0.tar) && $(MOVE) `dirname ../src/.tmp/QCPUFreq1.0.0`/QCPUFreq1.0.0.tar.gz . && $(DEL_FILE) -r ../src/.tmp/QCPUFreq1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp
moc_mainwindow.cpp: ../src/mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ../src/mainwindow.h -o moc_mainwindow.cpp

compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: ../src/resources.qrc \
		../src/data/128x128/chip.png \
		../src/data/256x256/chip.png
	/usr/bin/rcc -name resources ../src/resources.qrc -o qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h
ui_mainwindow.h: ../src/mainwindow.ui
	/usr/bin/uic ../src/mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

main.o: ../src/main.cpp ../src/mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o ../src/main.cpp

mainwindow.o: ../src/mainwindow.cpp ../src/mainwindow.h \
		ui_mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o ../src/mainwindow.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

qrc_resources.o: qrc_resources.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_resources.o qrc_resources.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/usr/bin/ 


install_helper: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/usr/bin/ 
	-$(INSTALL_PROGRAM) /home/daniel/Dev/qcpufreq-0.1/src/data/scripts/set_scalingmaxfreq $(INSTALL_ROOT)/opt/usr/bin/


uninstall_helper:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/usr/bin/set_scalingmaxfreq
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/usr/bin/ 


install_sudoers: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/etc/sudoers.d/ || $(MKDIR) $(INSTALL_ROOT)/etc/sudoers.d/ 
	-$(INSTALL_PROGRAM) /home/daniel/Dev/qcpufreq-0.1/src/data/sudoers/qcpufreq.sudoers $(INSTALL_ROOT)/etc/sudoers.d/


uninstall_sudoers:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/etc/sudoers.d/qcpufreq.sudoers
	-$(DEL_DIR) $(INSTALL_ROOT)/etc/sudoers.d/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/daniel/Dev/qcpufreq-0.1/src/data/qcpufreq.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/qcpufreq.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install_icon48: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/usr/share/icons/hicolor/48x48/hildon/ || $(MKDIR) $(INSTALL_ROOT)/opt/usr/share/icons/hicolor/48x48/hildon/ 
	-$(INSTALL_FILE) /home/daniel/Dev/qcpufreq-0.1/src/data/48x48/qcpufreq.png $(INSTALL_ROOT)/opt/usr/share/icons/hicolor/48x48/hildon/


uninstall_icon48:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/usr/share/icons/hicolor/48x48/hildon/qcpufreq.png
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/usr/share/icons/hicolor/48x48/hildon/ 


install_icon64: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/usr/share/icons/hicolor/64x64/hildon/ || $(MKDIR) $(INSTALL_ROOT)/opt/usr/share/icons/hicolor/64x64/hildon/ 
	-$(INSTALL_FILE) /home/daniel/Dev/qcpufreq-0.1/src/data/48x48/qcpufreq.png $(INSTALL_ROOT)/opt/usr/share/icons/hicolor/64x64/hildon/


uninstall_icon64:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/usr/share/icons/hicolor/64x64/hildon/qcpufreq.png
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/usr/share/icons/hicolor/64x64/hildon/ 


install_helper_sr: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/usr/bin/ 
	-$(INSTALL_PROGRAM) /home/daniel/Dev/qcpufreq-0.1/src/data/scripts/set_sr $(INSTALL_ROOT)/opt/usr/bin/


uninstall_helper_sr:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/usr/bin/set_sr
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/usr/bin/ 


install:  install_target install_helper install_sudoers install_desktop install_icon48 install_icon64 install_helper_sr  FORCE

uninstall: uninstall_target uninstall_helper uninstall_sudoers uninstall_desktop uninstall_icon48 uninstall_icon64 uninstall_helper_sr   FORCE

FORCE:

=== debian/changelog ===
qcpufreq (0.2-1) unstable; urgency=low

  * SmartReflex support
  * Display current CPU temperature
  * Localization

 -- maintainer Daniel Klaffenbach <danielklaffenbach@gmail.com>  Wed, 23 Jun 2010 14:31:45 +0200

qcpufreq (0.1-1) unstable; urgency=low

  * Initial release 

 -- maintainer Daniel Klaffenbach <danielklaffenbach@gmail.com>  Sun, 20 Jun 2010 12:14:25 +0200

=== src-build/debian/changelog ===
qcpufreq (0.1) unstable; urgency=low

  * Initial Release.

 -- Daniel Klaffenbach <daniel@unknown>  Mi, 23 Jun 2010 12:41:44 +0200

=== src-build/debian/control ===
Source: qcpufreq
Section: unknown
Priority: extra
Maintainer: Daniel Klaffenbach <daniel@unknown>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.3
Homepage: <insert the upstream URL, if relevant>

Package: qcpufreq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

=== src-build/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/qcpufreq.sgml > qcpufreq.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/qcpufreq.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/qcpufreq install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qcpufreq 0.2-2

=== debian/changelog ===
qcpufreq (0.2-2) unstable; urgency=low

  * Another attempt to clear the sudoers file after uninstallation

 -- maintainer Daniel Klaffenbach <danielklaffenbach@gmail.com>  Wed, 23 Jun 2010 15:29:31 +0200

=== debian/control ===
Source: qcpufreq
Section: user/system
Priority: extra
Maintainer: Daniel Klaffenbach <danielklaffenbach@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6.1 )
Standards-Version: 3.7.3
Homepage: https://garage.maemo.org/projects/qcpufreq

Package: qcpufreq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A GUI for the kernel's cpufreq interface
 This application allows you to adjust the maximum CPU
 frequency that your device is able to use in order to save
 battery power.
 It should work with official and patched kernels.
 Note: changes are NON-permanent. After a reboot your device
 will use the factory frequency settings and you'll have to
 launch QCPUFreq again!
XB-Maemo-Display-Name: QCPUFreq
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1699
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAlwSFlzAAA3XQAAN10BGYBGXQAAAAd0SU1FB9kECxICGOWcS0wAAAAG
 YktHRAD/AP8A/6C9p5MAAArvSURBVHja7VjbbxzVGf/O3Hb2Mnvx7trO2sFx
 UtuQpg9AURwgVIUW0kKF0vQBJFMkisQDbxWPVaX+DahCleCpvCAEPFWKkMID
 oWqVqBSKKJDGcXB82fVld72zu7Nz7/edmcnsxY5In/rgzz4+1/nO77uecwyH
 dEiHdEiHdEgH0blz5+D/gRYXFw+cY3cCf/HiRap/bzvOH2ih7/v7FqR9+4zF
 7KkfER+P2yN11HYcp2lZ1tzVq1d34ACSDhgn8NHGL6iKQpwHQNIP/o4IwMJ1
 Q3QQ+H7gw33ftm3V87yz2P0ADiAB7kDnz5//AYIpMUEgRPtuLFAd9LEtjIKh
 erSMWmHULZgkSaosy9x/7kqATCbD6263ewaZZBjSCABAwILAAZIQKCQWPjZQ
 xMF+9P1In5Hw/UJD0BYlaREpc1cu1G634YknnpAYxo8oilLkEsRwoH2HIOKr
 4jgY0bAfucqIBWKmAjYkUUQMQhZ7bQDvu7sQaj7H8OMILOzjq6y/PzQnjPg3
 DLoVbX6QewUSkFUJh4I6/BGCv7sYcFynjBvch6btBzTiBqMuEbMMxjiY0EUg
 WEPjohgD3pcfixQJ6AUv3HUWUmTlQsiQe8qoW/AmbUQ1UpCFkskk/PSpc+B6
 Pngu+bAAvmeDqDD412fXYeX6FwQIOA2m0JE25w3cCj8Lle3NzEzAt9/W9hdg
 akqD9XU96r4oCOLAWSGEfh/n+X4cDFzXhRPz8/DwY8+AZbdAkhWwjBQk5BXw
 1QLo5iTcuPZPQAn63It4sT5eLE7HgTP5iqKws2cfO3/58sfvIfiDLRCBf+D+
 +ydR6jlBiLQfa5kzptqPNRWfAy4cnzsNe3oDANtiVwZX3QG7bYCE84niFLDA
 tcJIjuMj3CYO6rhmmEpBlqUlbL/3nWJgslJ5kTNGik3bx3jgBymcU5Q0FMrj
 YJlbAKIKHVODpLAN3Z4EkrcJ2ZwLTEoEMRClzjjIhxMByRfFBlnhzH333ZuG
 IRJhH5pfWPgjfjAJ+2SX/qwU14FQqWwZclkbOk4OnL0u7JrowdZXsHLLAbu7
 DL32Lbi5vIPGcQAgDNQR/jEJQzGiKIlPbt68uXLHIH788R/PYt6dFqLg5T4a
 mMD3Yr8XwqAOVgnUQIDb8NHFS7j+QwDuYh54vohA+RfczWSZ+iK5YT/IyO/D
 oBiMLZKNDtTwVL50RxdS1eSiKIhaHLy84lKQwmLzRlqDvgDkGQM1pYKsKFhU
 5Ie1LOOYxAvjmYV4Re4X8RjgF4/FKZn4nD579tHkgRaYHM8JmOJOi3h4hPon
 3DHAIFkG5qe5aDI8JzzP4wAZBGM4MBA3PiOxQ5CxiqkRN+NgJuL8IkJsi8lk
 ipRrDFjg6FGFdx586BENJV0U+IkTpzl+z7kNlM/GB08InvL/xMQkt4IQBako
 krjkMhyIEM5RAeJD7eFC9x9h0CpRIKMAZeS/MGKBW7esUGFeHhc9xIRY9VHq
 HCsWucYlWYJOuwOmacI4ZpzqVg3rMmDQg2EYkM/lQNd1qBypQLVW5d9JKIht
 Y3B3OqCioLZlQavVglKxRBfG6ADEMR2KxTHiw+PNtExwHDe0ok/uiUX8NXYu
 j8QA4RVF6ScoAI/PSHIar1QqkEgkYG9vD7qdLvVpUw7q3oUFenjArdVVaDb3
 YHp6Gubm5sCyLcjn8zBVmYLd3V2ca3KhtYwGMzMzcGx2lvPJZXOcV2GsgAp0
 QdM0HjNaVoNSqURQgkK2De5GSwcGsSTLS9z0SPGbxOfXawfBElHb6Brcl7Wc
 RuCJKd+i1zNgt75LWoKNjc3gcPM8cp0oQAkkH9/e2uKazuayZHkSLODj8/24
 tarVauym3KWZj8KpTz751OmRc+DU90+q5fHxN9EKCG3QB3uGwU2vqirfrNPt
 oqanYHt7GzY3N7nWLMuiOQ7CNC0ShgCSgDifRRdRKQhxvMddqIEWcV0uDIGl
 7+gaT/uRZcnafD1249srajfwCs+5du3aX1566bfxPefZZ59dQoB/pmBBChf6
 fbkeiPhGhXwBATRoo4FLmOdzc8dZKH5mxrmeNOrTKj4XghsiRnvGwP3gb7QP
 ueLN999/f3bAhRD4UmguRnXESGD0JwQUaqe2VSPNDh37fBvuLiHaiG+/kFEq
 Hnw3DBcYPenjbCRCcWws89LLvzlxOwtduPCrAsbuA+T6SH0ZOWzGj3UCRHU0
 Hm/EtTrwWqOBoZfc6H8g+inoxtYansMzAHK5nI9Jwd/c3DBuC/DML54++fln
 nye8+KpADIbqaNwbeDiGuCjtHfik9HndxyMeHxLi4EcqraMYrNfrFEdiIiH3
 CfD0z62PLn3kr62toQkCkK7n8QziUe1T7YftuPZpzPcG/sUSg6NNR0CMlvDV
 xiCs438ERG1aRwHtY1oNg8H+3YVfXtnT9QXGBdjZ2bLxA7Xd7YHnemA7HkUR
 +TkH6bhUEziac5FFIJxDY57LayEU2qM287E9CJxOV58JVBMobIu8LYgEUCCA
 HLSIbUEiAYJ5yor0vaTILKF2jHLJ+1Mht/Px1asntWLRbbHnnjsrLCyczP/7
 m60Ls+7yq1I6mTxRUY8vr+nV8Zw0pjcNP1/WmNEx/aru1GZLyrGtRq9h+EJb
 c3oVU1YahZSUW2856ymJJdOil19uejems+KRXteC3ETO9QwzAflsXWo0K5BS
 db3ntydVOGrLst5r96AyU1QaO20XelZKLuUant5LeZaliJlU29QNaXK2xNa/
 XFfV+fHLq43GByj2Fb098QVj2x0pk9HY2tqqwBLiP354LF0XU2pClpiVSCQN
 LSXqZsFPF6e0rqHLYqFhVo9PpYXyjtyymaSnXEVUtXRXSUqtybq5m0wIcjkt
 iuoNffXkVCrV2NXZxEyx023q6U1L+HruWKGwa/gbtZa1PV+StT2X3UozLd9i
 1lZCZMpUOjN/ZbN15XtTiXnXFZgFbkseE7WG1Fo+dUJ++K9W9e+SoFQdn+26
 rmoBSHRNobcsOO223To6P7G1vF2vMZFNm2m2klDZkenJ4sKn641LM4X0fCmb
 bu8aZjVZTohr283rj85NpncM88b13WZt/p7iPRv11paXThtOxvzS19Ls+PjE
 kavr1U+OF3InMo6zYQjsX4oq7Jm2vpqbPDa+p7f+s91pi3iueDuNtqOUNcXd
 q94Qx1SlnC6lPltd+XZmrFTyO8ZK8miq7FyvfS2KxW+M1tSGJHWdr7761GfP
 P3+aaVpRNm1IPzgnlTfqHSEp+0qrJ5jphC+PZVT5Rq3dK2cVCQTZt8wOw3sR
 22r27LlKJtnsOHa90/Uq+bxYbxt+ISNK1aZtFjVRySVV4XqtaZW1lGS6zFUE
 W2GC5DXahnNPOafW2z3bcnqgpTTEaEAxqyY26t1eLqXIWlJl67t1J59Oi13L
 tUoaE1ZqvZpplvckyTZd9wvvjTdWgb37rgwffvgIZVmBAYW8yxyHjnARzRM8
 tnyfFxbcTOk0xhYSrY4uW65LxeMBykd9Fh5iFNj4l2et6PbCkAfNS/gNtT2e
 /QQWrvM9vgf2+FrHoas07QguQMfb3v6b/847XXj11fkg6b72GsBbb+XhzJkm
 3nFOQquVRCYOuRZSFnS9SOAIFB9LJChryNDpuJiTzfB4twgwgYFTpwDfBlyo
 8O1LhYSfuv0ssm0f+TZROLo3MeKNbQayDKQ85EdKELgwxaIMr7/+Lrz5pgQv
 v+wA0dLSJLz9dhXglVcKcEiHdEiHdEj/K/0X4ogv6jYDWBwAAAAASUVORK5C
 YII=

## qcpufreq 0.3-1

=== debian/changelog ===
qcpufreq (0.3-1) unstable; urgency=low

  * Do not freeze on sudo errors (more robust process handling)
  * Unified helper scripts
  * Minor UI tweaks
  * Help viewer
  * Internal cleanup

 -- maintainer Daniel Klaffenbach <danielklaffenbach@gmail.com>  Sat, 27 Jun 2010 10:02:53 +0200

## qcpufreq 0.3-2

=== debian/changelog ===
qcpufreq (0.3-2) unstable; urgency=low

  * Fix release date (was in future)

 -- maintainer Daniel Klaffenbach <danielklaffenbach@gmail.com>  Sun, 27 Jun 2010 10:45:12 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,15 @@
  Note: changes are NON-permanent. After a reboot your device
  will use the factory frequency settings and you'll have to
  launch QCPUFreq again!
+XB-Description-de_DE: Eine graphische Oberfläche für die cpufreq-Schnittstelle des Kernels
+ Diese Anwendung ermöglicht es die maximale CPU Geschwindigkeit
+ des Mobiltelefons zu modifizieren, um Akkulaufzeit zu
+ sparen.
+ Sowohl offizielle als auch modifizierte Kernels werden unterstützt.
+ Hinweis: die Änderungen sind NICHT dauerhaft. Nach einem
+ Neustart des Gerätes werden die Voreinstellungen für die
+ CPU Geschwindigkeit verwendet und QCPUFreq muss erneut
+ gestartet werden!
 XB-Maemo-Display-Name: QCPUFreq
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1699
 XB-Maemo-Icon-26:

## qcpufreq 0.3.1-1

=== debian/changelog ===
qcpufreq (0.3.1-1) unstable; urgency=low

  * Improved temperature handling
  * Updated help viewer
  * Do not allow setting maxfreq < minfreq
  * Give sudo more time before displaying an error

 -- maintainer Daniel Klaffenbach <danielklaffenbach@gmail.com>  Tue, 13 Jul 2010 23:02:28 +0200

## qcpufreq 0.3.2-1

=== debian/changelog ===
qcpufreq (0.3.2-1) unstable; urgency=low

  * Minor UI update
  * l10n fixes

 -- maintainer Daniel Klaffenbach <danielklaffenbach@gmail.com>  Fri, 30 Jul 2010 17:01:47 +0200

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := qcpufreq
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/opt/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	#dh_installdocs
	#dh_installexamples
	#dh_installman
	dh_link
	#dh_strip --dbg-package=$(APPNAME)-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qcpufreq 0.3.3-1

=== debian/changelog ===
qcpufreq (0.3.3-1) unstable; urgency=low

  * MainWindow: use non-pointer members where possible
  * Only enable VDD1 SmartReflex
  * Fixed minimum frequency on power kernels
  * Do not allow overclocking per default
  * Updated help files

 -- maintainer Daniel Klaffenbach <danielklaffenbach@gmail.com>  Sat, 25 Sep 2010 16:35:03 +0200

=== debian/control ===
--- 
+++ 
@@ -10,22 +10,17 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: A GUI for the kernel's cpufreq interface
- This application allows you to adjust the maximum CPU
- frequency that your device is able to use in order to save
- battery power.
+ This application allows you to adjust the maximum CPU frequency that your device is able to use in order to save battery power.
+ .
  It should work with official and patched kernels.
- Note: changes are NON-permanent. After a reboot your device
- will use the factory frequency settings and you'll have to
- launch QCPUFreq again!
+ . 	
+ Note: changes are NON-permanent. After a reboot your device will use the factory frequency settings and you'll have to launch QCPUFreq again!
 XB-Description-de_DE: Eine graphische Oberfläche für die cpufreq-Schnittstelle des Kernels
- Diese Anwendung ermöglicht es die maximale CPU Geschwindigkeit
- des Mobiltelefons zu modifizieren, um Akkulaufzeit zu
- sparen.
+ Diese Anwendung ermöglicht es die maximale CPU Geschwindigkeit des Mobiltelefons zu modifizieren, um Akkulaufzeit zu sparen.
+ .
  Sowohl offizielle als auch modifizierte Kernels werden unterstützt.
- Hinweis: die Änderungen sind NICHT dauerhaft. Nach einem
- Neustart des Gerätes werden die Voreinstellungen für die
- CPU Geschwindigkeit verwendet und QCPUFreq muss erneut
- gestartet werden!
+ .
+ Hinweis: die Änderungen sind NICHT dauerhaft. Nach einem Neustart des Gerätes werden die Voreinstellungen für die CPU Geschwindigkeit verwendet und QCPUFreq muss erneut gestartet werden!
 XB-Maemo-Display-Name: QCPUFreq
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1699
 XB-Maemo-Icon-26:

## qcpufreq 0.3.4-1

=== debian/changelog ===
qcpufreq (0.3.4-1) unstable; urgency=low

  * Fix slider on PR 1.3
  * Added chinese locale - thanks to willkr (雨落霜飞)
  * Changed scaling step handling (not inverted any more)
  * Read constant sysfs values only once

 -- maintainer Daniel Klaffenbach <danielklaffenbach@gmail.com>  Thu, 28 Oct 2010 10:24:51 +0200

## qcpufreq 0.4.0-1

=== debian/changelog ===
qcpufreq (0.4.0-1) unstable; urgency=low

  * Added settings widget
  * Improved support for displaying a more accurate temperature (power kernel)
  * Added support for saving frequency settings (power kernel)
  * Fixed 600MHz scaling step (power kernel)

 -- maintainer Daniel Klaffenbach <danielklaffenbach@gmail.com>  Wed, 10 Nov 2010 00:32:29 +0200

## qcpufreq 0.4.1-1

=== debian/changelog ===
qcpufreq (0.4.1-1) unstable; urgency=low

  * Display scrollbar in help window
  * Enable portrait mode for settings dialog
  * Give sudo more time before displaying an error message
  * Only show "Save"-option if "kernel-config" is installed
  * Updated Chinese translation and help - thanks to willkr (雨落霜飞)
  * Updated German translation and help

 -- maintainer Daniel Klaffenbach <danielklaffenbach@gmail.com>  Wed, 17 Nov 2010 01:29:27 +0200

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,13 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: A GUI for the kernel's cpufreq interface
- This application allows you to adjust the maximum CPU frequency that your device is able to use in order to save battery power.
+ This application allows you to adjust the maximum CPU frequency that your device is able to use.
  .
  It should work with official and patched kernels.
- . 	
- Note: changes are NON-permanent. After a reboot your device will use the factory frequency settings and you'll have to launch QCPUFreq again!
 XB-Description-de_DE: Eine graphische Oberfläche für die cpufreq-Schnittstelle des Kernels
- Diese Anwendung ermöglicht es die maximale CPU Geschwindigkeit des Mobiltelefons zu modifizieren, um Akkulaufzeit zu sparen.
+ Diese Anwendung ermöglicht es die maximale CPU Geschwindigkeit des Mobiltelefons zu modifizieren.
  .
  Sowohl offizielle als auch modifizierte Kernels werden unterstützt.
- .
- Hinweis: die Änderungen sind NICHT dauerhaft. Nach einem Neustart des Gerätes werden die Voreinstellungen für die CPU Geschwindigkeit verwendet und QCPUFreq muss erneut gestartet werden!
 XB-Maemo-Display-Name: QCPUFreq
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1699
 XB-Maemo-Icon-26:

## qcpufreq 0.4.2-1

=== debian/changelog ===
qcpufreq (0.4.2-1) unstable; urgency=low

  * Enable loading of voltage profiles (through "kernel-config")

 -- maintainer Daniel Klaffenbach <danielklaffenbach@gmail.com>  Tue, 21 Dec 2010 22:49:48 +0200

## qcpufreq 0.4.3-1

=== debian/changelog ===
qcpufreq (0.4.3-1) unstable; urgency=low

  * Display a confirmation before applying new frequency (configurable)
  * Fix minimum frequency after loading voltage presets

 -- maintainer Daniel Klaffenbach <danielklaffenbach@gmail.com>  Sat, 01 Jan 2011 19:41:03 +0200

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	#dh_installman
 	dh_link
 	#dh_strip --dbg-package=$(APPNAME)-dbg
+	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## qcpufreq 0.4.4-1

=== debian/changelog ===
qcpufreq (0.4.4-1) unstable; urgency=low

  * Support new power kernel (>46)

 -- maintainer Daniel Klaffenbach <danielklaffenbach@gmail.com>  Thu, 02 Dec 2011 14:54:57 +0200

## qcpufreq 0.4.5-1

=== src-build-maemo/Makefile ===
#############################################################################
# Makefile for building: QCPUFreq
# Generated by qmake (2.01a) (Qt 4.7.0) on: So. Mr 6 21:01:49 2011
# Project:  ../src/src.pro
# Template: app
# Command: /opt/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake -spec /opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/opt/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile ../src/src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/opt/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 -I../src -I/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -I/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -I/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtMaemo5 -I/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -I. -I. -I../src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/QtSDK/Maemo/4.6.2/targets/fremantle-pr13/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../src/main.cpp \
		../src/mainwindow.cpp \
		../src/helpwindow.cpp \
		../src/settings.cpp \
		../src/loadpreset.cpp moc_mainwindow.cpp \
		moc_helpwindow.cpp \
		moc_settings.cpp \
		moc_loadpreset.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		mainwindow.o \
		helpwindow.o \
		settings.o \
		loadpreset.o \
		moc_mainwindow.o \
		moc_helpwindow.o \
		moc_settings.o \
		moc_loadpreset.o \
		qrc_resources.o
DIST          = /opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		../src/src.pro
QMAKE_TARGET  = QCPUFreq
DESTDIR       = 
TARGET        = QCPUFreq

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_helpwindow.h ui_settings.h ui_loadpreset.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../src/src.pro  /opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtMaemo5.prl \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl \
		/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl
	$(QMAKE) -spec /opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/opt/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile ../src/src.pro
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtMaemo5.prl:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl:
/opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /opt/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/linux-g++-maemo5 QMLJSDEBUGGER_PATH=/opt/QtSDK/QtCreator/share/qtcreator/qml/qmljsdebugger -o Makefile ../src/src.pro

dist: 
	@$(CHK_DIR_EXISTS) ../src/.tmp/QCPUFreq1.0.0 || $(MKDIR) ../src/.tmp/QCPUFreq1.0.0

=== debian/changelog ===
qcpufreq (0.4.5-1) unstable; urgency=low

  * Added my improved script

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Fri, 18 Apr 2014 16:08:22 +0200
